Subject: Re: egcs, Linux, Borland C
From: Brendan Simon <[email-masked]>
To: Bencze Tamás <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Apr 1999 02:37:19 +0000

I need help understanding your question :)

egcs IS gcc.  It is the development/experimental branch of gcc.  A lot
of people use it in preference to gcc as it is more up to date
(especially with the C++ standards) and supports more platforms
(especially embedded).

Are you trying to build egcs on a Windows platform ?
If so, are you trying to do it with Borland C/C++ ?
If so, I would probably forget that approach and download cygwin32 or
mingw32.  These are ports of egcs (and more) to the Win32 platform.
They will produce native Win32 code to run on Win32 machines.

Are you trying to compile programs on a Win32 machine that will run on a
Linux box.  ie. a cross-compiler hosted on a Win32 machine and targeted
at a Linux machine (ie. x86 I assume) ?

Brendan Simon.

Bencze Tamás wrote:

> Hi,
>
> I need help for the basic understanding of egcs project.
>
> My question is the following:
> Can I produce executable on Linux using gcc after I
> succesfully compile the source for Win32 with Borland compiler and
> successfully compile it with egcs.
> I would not address issues like resources, windows specific code,
> threads,
> sockets.. Besides of these, can I use egcs as a test compiler for
> making sure that my code will at least compile for Linux gcc?
> As far as I know egcs is a port of gcc, so I would expect it behavie
> similar to gcc on Linux.
>
> Thanks in advance,
> Tamas Bencze
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]